Name: adwaita-arrows
Version: 3.6.2
Release: 1%{?dist}
Summary: Adwaita Arrows GNOME Shell Theme

Group: User Interface/Desktops
License: LGPLv2+
URL: http://git.gnome.org/browse/gnome-themes-standard
# Forked from http://download.gnome.org/sources/gnome-themes-standard/3.6/gnome-themes-standard-3.6.2.tar.xz
Source0: %{name}-%{version}.tar.bz2
Source1: settings.ini
Source2: gtkrc

BuildRequires: gtk3-devel >= 3.0.2
BuildRequires: librsvg2-devel
BuildRequires: intltool gettext autoconf automake
BuildRequires: gtk2-devel
# for gtk-update-icon-cache
BuildRequires: gtk2
Requires: gnome-icon-theme
Requires: abattis-cantarell-fonts
Requires: adwaita-arrows-cursor-theme = %{version}-%{release}
Requires: adwaita-arrows-gtk2-theme = %{version}-%{release}
Requires: adwaita-arrows-gtk3-theme = %{version}-%{release}

%description
The gnome-themes-standard package contains the standard theme for the GNOME
desktop, which provides default appearance for cursors, desktop background,
window borders and GTK+ applications.

%package -n adwaita-arrows-cursor-theme
Summary: Adwaita Arrows cursor theme
Group: User Interface/Desktops
BuildArch: noarch

%description -n adwaita-arrows-cursor-theme
The adwaita-arrows-cursor-theme package contains a modern set of cursors originally
designed for the GNOME desktop. With arrows.

%package -n adwaita-arrows-gtk2-theme
Summary: Adwaita Arrows gtk2 theme
Group: User Interface/Desktops
Requires: adwaita-gtk2-theme

%description -n adwaita-arrows-gtk2-theme
The adwaita-arrows-gtk2-theme package contains a gtk2 theme for presenting widgets
with a GNOME look and feel. With Arrows.

%package -n adwaita-arrows-gtk3-theme
Summary: Adwaita Arrows gtk3 theme
Group: User Interface/Desktops
Requires: adwaita-gtk3-theme

%description -n adwaita-arrows-gtk3-theme
The adwaita-arrows-gtk3-theme package contains a gtk3 theme for rendering widgets
with a GNOME look and feel. And Arrows.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

rm $RPM_BUILD_ROOT%{_libdir}/gtk-3.0/3.0.0/theming-engines/libadwaita.la
rm $RPM_BUILD_ROOT%{_libdir}/gtk-2.0/2.10.0/engines/libadwaita.la

rm $RPM_BUILD_ROOT%{_libdir}/gtk-2.0/2.10.0/engines/libadwaita.so
rm $RPM_BUILD_ROOT%{_libdir}/gtk-3.0/3.0.0/theming-engines/libadwaita.so

# mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/gtk-3.0
# cp $RPM_SOURCE_DIR/settings.ini $RPM_BUILD_ROOT%{_sysconfdir}/gtk-3.0/settings.ini
# mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/gtk-2.0
# cp $RPM_SOURCE_DIR/gtkrc $RPM_BUILD_ROOT%{_sysconfdir}/gtk-2.0/gtkrc

%find_lang %{name}

%files -f %{name}.lang
%doc COPYING NEWS

# Background and WM
%{_datadir}/themes/Adwaita-Arrows/
%exclude %{_datadir}/themes/Adwaita-Arrows/gtk-2.0
%exclude %{_datadir}/themes/Adwaita-Arrows/gtk-3.0

# Background
%{_datadir}/gnome-background-properties/*

%files -n adwaita-arrows-cursor-theme
# Cursors
%{_datadir}/icons/Adwaita-Arrows

%files -n adwaita-arrows-gtk2-theme
# gtk2 Theme and engine provided by adwaita-gtk2-theme
# %%{_libdir}/gtk-2.0/2.10.0/engines/libadwaita.so
%{_datadir}/themes/Adwaita-Arrows/gtk-2.0
# Default gtk2 settings
# %{_sysconfdir}/gtk-2.0/gtkrc

%files -n adwaita-arrows-gtk3-theme
# gtk3 Theme and engine provided by adwaita-gtk3-theme
# %%{_libdir}/gtk-3.0/3.0.0/theming-engines/libadwaita.so
%{_datadir}/themes/Adwaita-Arrows/gtk-3.0
# Default gtk3 settings
# %{_sysconfdir}/gtk-3.0/settings.ini


%changelog
* Wed Nov 21 2012 Tom Callaway <spot@fedoraproject.org> - 3.6.2-1
- Add arrows
